SUSE SLED12 / SLES12 Security Update : mariadb (SUSE-SU-2019:0119-1)

High Nessus Plugin ID 121294

Synopsis

The remote SUSE host is missing one or more security updates.

Description

This update for mariadb to version 10.2.19 fixes the following issues:
(bsc#1116686)

Security issues fixed :

CVE-2016-9843: Big-endian out-of-bounds pointer (bsc#1013882)

CVE-2018-3282, CVE-2018-3174, CVE-2018-3143, CVE-2018-3156, CVE-2018-3251, CVE-2018-3185, CVE-2018-3277, CVE-2018-3162, CVE-2018-3173, CVE-2018-3200, CVE-2018-3284: Fixed multiple denial of service vulnerabilities (bsc#1112432, bsc#1112368, bsc#1112421, bsc#1112417, bsc#1112397, bsc#1112391, bsc#1112415, bsc#1112386, bsc#1112404, bsc#1112377, bsc#1112384)

Non-security issues fixed: Fixed database corruption after renaming a prefix-indexed column (bsc#1120041)

Remove PerconaFT from the package as it has a AGPL license (bsc#1118754)

Enable testing for client plugins (bsc#1111859)

Improve test coverage by keeping debug_key_management.so (bsc#1111858)

Note that Tenable Network Security has extracted the preceding description block directly from the SUSE security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or 'zypper patch'.

Alternatively you can run the command listed for your product :

SUSE Linux Enterprise Server 12-SP4:zypper in -t patch SUSE-SLE-SERVER-12-SP4-2019-119=1

SUSE Linux Enterprise Desktop 12-SP4:zypper in -t patch SUSE-SLE-DESKTOP-12-SP4-2019-119=1

See Also

https://bugzilla.suse.com/show_bug.cgi?id=1013882

https://bugzilla.suse.com/show_bug.cgi?id=1111858

https://bugzilla.suse.com/show_bug.cgi?id=1111859

https://bugzilla.suse.com/show_bug.cgi?id=1112368

https://bugzilla.suse.com/show_bug.cgi?id=1112377

https://bugzilla.suse.com/show_bug.cgi?id=1112384

https://bugzilla.suse.com/show_bug.cgi?id=1112386

https://bugzilla.suse.com/show_bug.cgi?id=1112391

https://bugzilla.suse.com/show_bug.cgi?id=1112397

https://bugzilla.suse.com/show_bug.cgi?id=1112404

https://bugzilla.suse.com/show_bug.cgi?id=1112415

https://bugzilla.suse.com/show_bug.cgi?id=1112417

https://bugzilla.suse.com/show_bug.cgi?id=1112421

https://bugzilla.suse.com/show_bug.cgi?id=1112432

https://bugzilla.suse.com/show_bug.cgi?id=1116686

https://bugzilla.suse.com/show_bug.cgi?id=1118754

https://bugzilla.suse.com/show_bug.cgi?id=1120041

https://www.suse.com/security/cve/CVE-2016-9843/

https://www.suse.com/security/cve/CVE-2018-3143/

https://www.suse.com/security/cve/CVE-2018-3156/

https://www.suse.com/security/cve/CVE-2018-3162/

https://www.suse.com/security/cve/CVE-2018-3173/

https://www.suse.com/security/cve/CVE-2018-3174/

https://www.suse.com/security/cve/CVE-2018-3185/

https://www.suse.com/security/cve/CVE-2018-3200/

https://www.suse.com/security/cve/CVE-2018-3251/

https://www.suse.com/security/cve/CVE-2018-3277/

https://www.suse.com/security/cve/CVE-2018-3282/

https://www.suse.com/security/cve/CVE-2018-3284/

http://www.nessus.org/u?ee1cacb5

Plugin Details

Severity: High

ID: 121294

File Name: suse_SU-2019-0119-1.nasl

Version: 1.2

Type: local

Agent: unix

Published: 2019/01/22

Updated: 2019/09/10

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS v3.0

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:mariadb, p-cpe:/a:novell:suse_linux:mariadb-client, p-cpe:/a:novell:suse_linux:mariadb-client-debuginfo, p-cpe:/a:novell:suse_linux:mariadb-debuginfo, p-cpe:/a:novell:suse_linux:mariadb-debugsource, p-cpe:/a:novell:suse_linux:mariadb-tools, p-cpe:/a:novell:suse_linux:mariadb-tools-debuginfo, cpe:/o:novell:suse_linux:12

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2019/01/18

Vulnerability Publication Date: 2017/05/23

Reference Information

CVE: CVE-2016-9843, CVE-2018-3143, CVE-2018-3156, CVE-2018-3162, CVE-2018-3173, CVE-2018-3174, CVE-2018-3185, CVE-2018-3200, CVE-2018-3251, CVE-2018-3277, CVE-2018-3282, CVE-2018-3284